Simple Virtual Machine A simple but flexible virtual machine

Loading...
Searching...
No Matches
Functions
SVM keyword parameters
SVM parameters

This module contains API functions to handle SVM keyword parameters. More...

## Functions
SVM_FUNCTION SVM_Boolean | svm_parameter_type_is_keyword (const void *svm, const SVM_Parameter parameter)
| This function checks whether a parameter contains a keyword.
SVM_FUNCTION SVM_String | svm_parameter_keyword_get (const void *svm, const SVM_Parameter parameter)
| This function converts a parameter into a keyword.
SVM_FUNCTION SVM_Parameter | svm_parameter_keyword_new (const void *svm, const SVM_String keyword)
| This function creates a parameter from a keyword string.
SVM_FUNCTION SVM_Parameter | svm_parameter_keyword_new__raw (const void *svm, const char *keyword)
| This function creates a parameter from a keyword string.

## Detailed Description

This module contains API functions to handle SVM keyword parameters.

## Function Documentation

## ◆ svm_parameter_keyword_get()

SVM_FUNCTION SVM_String svm_parameter_keyword_get | ( | const void * | svm,
|  | const SVM_Parameter | parameter
| ) |  |

This function converts a parameter into a keyword.

A keyword is a word in capital letters used as a flag or constant in parameter lists.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | parameter | The callback parameter to convert.

Returns
  The keyword as a SVM_String.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)
  FAILURE | interruption when the parameter does not contain a keyword.

See also
  svm_parameter_type_is_keyword

## ◆ svm_parameter_keyword_new()

SVM_FUNCTION SVM_Parameter svm_parameter_keyword_new | ( | const void * | svm,
|  | const SVM_String | keyword
| ) |  |

This function creates a parameter from a keyword string.

A keyword is a word in capital letters used as a flag or constant in parameter lists.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | keyword | The keyword to be passed as a parameter.

Returns
  A parameter containing the keyword.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)
  FAILURE | interruption when the keyword is empty or has a non capital-letter character.

## ◆ svm_parameter_keyword_new__raw()

SVM_FUNCTION SVM_Parameter svm_parameter_keyword_new__raw | ( | const void * | svm,
|  | const char * | keyword
| ) |  |

This function creates a parameter from a keyword string.

A keyword is a word in capital letters used as a flag or constant in parameter lists.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | keyword | The keyword to be passed as a parameter.

Returns
  A parameter containing the keyword.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)
  FAILURE | interruption when the keyword is empty or has a non capital-letter character.

## ◆ svm_parameter_type_is_keyword()

SVM_FUNCTION SVM_Boolean svm_parameter_type_is_keyword | ( | const void * | svm,
|  | const SVM_Parameter | parameter
| ) |  |

This function checks whether a parameter contains a keyword.

A keyword is a word in capital letters used as a flag or constant in parameter lists.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | parameter | The callback parameter to check.

Returns
  TRUE if the parameter contains a keyword, FALSE otherwise.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)
  FAILURE | interruption when the marker string does not correspond to a valid marker.